SQ(1)

NAME
sq key export - Export keys from the key store

SYNOPSIS
sq key export [OPTIONS]

DESCRIPTION
Export keys from the key store.

Exports the secret key material associated with a certificate. Note that even if secret key material is available, it may not be exportable. For instance, secret key material stored on a hardware security module usually cannot be exported from the device.

Iterate over all of the specified certificates and export any keys (primary key and subkeys) with secret key material. An error is returned if any specified certificate does not contain any secret key material.

If you only want to export a particular key and not all keys associate with a certificate, use `sq key subkey export`.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Export keys with the specified fingerprint or key ID

--cert-domain=DOMAIN
    Export keys where a user ID includes an email address for the specified domain

--cert-email=EMAIL
    Export keys where a user ID includes the specified email address

--cert-grep=PATTERN
    Export keys with a user ID that matches the pattern, case insensitively

--cert-userid=USERID
    Export keys with the specified user ID

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Export Alice's certificate with all available secret key material.

    sq key export --cert EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Export Alice's certificate with all available secret key material identified by email address.

    sq key export --cert-email alice@example.org

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.40.0 (sequoia-openpgp 1.21.2)